May 2026 - 2.5.2
- Bugfix: Debug messages are shown in the console (Close #1005)
- Enhancement: Color the QLineEdit that has the focus (Close #3) (TNX EA5WA)

May 2026 - 2.5.1
- Enhancement: Entity dxcc to name queries speed up.
- Enhancement: Memory leaks improvement.
- Enhancement: FreeDV UDP QSOLogged integration improvements (Closes #990)(TNX G4MKT)
- Bugfix: Drag gesture in map was not properly working in some archs. (TNX G4MKT)
- Bugfix: Sort order on QSO 'Add' reverses if 'Settings' have been used. (Closes #988)(TNX G4MKT)
- Bugfix: Translations are not found/loaded in macOS (Closes #969)
- Bugfix: Double click makes next QSO to overwrite the edited one (Closes #983)
- BugFix: Export to ADIF shows just 1 exported QSO. (Closes #977)
- BugFix: Double click on log clears UI but does not show QSO. (Closes #968)
- BugFix: KLog 2.5 not clearing shared memory objects on exit. (Closes #961)
- BugFix: Unable to upload the queued QSOs to Clublog/eQSL after LOTW Upload. (Closes #543)
- BugFix: Qrz.com error 99. (Closes #733)
- BugFix: Does not use the right logbook if not in the default folder on Windows. (Closes #706)
- BugFix: KLog does not talk with FLRig. (Closes #382)
- BugFix: WSJTX and KLog can't get data from radio at the same time. (Closes #352)

Mar 2026 - 2.5
- New feature: Spots are sent to the map with the starts color and callsign.
- New feature: Mouse shows in the map the QSOs providing that Locator.
- Enhancement: Evolution to CMake build system only. QMake deprecation.
- Enhancement: Modes are now used to calculate needs & stats if selected.
- Enhancement: Start time optimizations.
- Enhancement: Split is now managed also from radio/UI.
- Enhancement: Optimized the exit from Setup to make it faster.
- Enhancement: Band & Modes fully migrated to DataCache.
- Enhancement: Test on QSO cache class.
- Enhancement: Complete ADIF->IsValidPOTA (Closes #717)
- Enhancement: Complete ADIF->IsValidWWFF (Closes #718)
- Enhancement: List view fields order and sorting (Closes #678)
- Enhancement: Created a QHash to speed up the execution reducing database access.
- Enhancement: Logs and stats are updated if other log is selected.
- Enhancement: Save & restore the width of the columns of the logview (Closes #925)
- Bugfix: UTC time is not correctly shown on QSO tab (Closes #933)
- Bugfix: klog-2.5-RC3 hamlib rigctld looping between VFOs continually. (Closes #947)
- Bugfix: KLog does not follow the radio in read mode when leaving manual mode (Closes #417)
- Bugfix: Some DXCC are missing (Closes #811)
- Bugfix: DXCluster password not sent to server after callsign (Closes #829)
- Bugfix: qmake6 printed spurious "using private headers" PROJECT MESSAGE warnings caused by the quickwidgets and location Qt modules; suppressed with no_private_qt_headers_warning.
- Bugfix: Map shows "The geoservices provider is not supported" and crashes with a QGeoMapType binding error on platforms where the Qt6 Location OSM plugin is not installed (e.g. Raspberry Pi); map now shows a user-friendly "not available" overlay instead (Closes #447)
- Bugfix: Verbose Qt6CTPlatformTheme palette/hint debug messages from the qt6ct platform theme no longer pollute the console output.
- Bugfix: DXCluster spots not shown on map; callsign and status color now displayed correctly (Closes #581)
- Bugfix: QRZ.com queries deliver wrong info (Closes #696)
- Bugfix: Klog 2.4.1 does not upload queued QSO onto the LOTW (Closes #808)
- Bugfix: The character ' is needed for some names and QTH and should be allowed. (Closes #328)
- Bugfix: Check why clublog does not detect KLog in the stats (Closes #257)
- Bugfix: Satellite tab not populated when editing a QSO (Closes #894)
- Bugfix: Segmentation fault (core dumped) when exiting Klog on Ubuntu 22.04 (Closes #468)
- Bugfix: The entity and status bar are not properly updated when a call is received from wsjtx (G6YRK) (Closes #242)
- Bugfix: Program stops responding if rigctld communication lost (radio turned off) (Closes #877)
- Bugfix: Hamlib is not init on start (Closes #823)
- Bugfix: Primary subdivisions were not properly identified (DB schema error ).
- Bugfix: Search was not working properly
- Bugfix: CQZ was not properly defined for T9, 4N & YZ callsigns.
- Bugfix: On ADIF import, lognumber of imported QSOs was set to -1; now falls back to highest existing log so no QSOs are lost. (Closes #903)
- Bugfix: KLog crashes when creating the first log because selectedLog was not updated after addNewLog. (Closes #906)
- Bugfix: No Popup message when duplicted QSOs are detected on ADIF import. (Closes #848)
- Bugfix: Check QRZ automatically is not saved (Closes #840)
- Bugfix: Everytime TX Frequency changes, mode changes to USB. Removed that behaviour (Closes #842)
- Bugfix: Klog 2.3.4 on OS/X has an error with ADIF export dialog box. (Closes #744)
- Bugfix: sat_mode is been added for non-satellites QSOs (Closes #843)
- Bugfix: Real time setting is not saved (Closes #839)
- Bugfix: Map Filter is not properly filtering (Closes #827)
- Bugfix: Primary subdivisions table in DB allowed duplicated entries.
- Bugfix: SAT mode saved as SAT when no SAT QSO is done (Closes #857)
- Bugfix: Low contrast in tooltips when using dark mode or system dark themes (Closes #642)
- Translations: Catalan (TNX Txema), Italian (TNX IU5HIU), Latvian (TNX YL3GBC & YL3AUG), Spanish (EA4K).

Feb 2026 - 2.4.3
- Enhancement: Add the FT2 submode
- Bugfix: Hamlib is not init on start (Closes #823)
- Bugfix: klog-2.4.2 tracking frequency & mode but not band. (Closes #833)

Aug 2025 - 2.4.2
- Enhancement: Map is now showing Locator identifiers.
- Enhancement: Updated some DataBase fields to better match ADIF definition.
- Enhancement: Several refactors & optimization: ADIF import/export
- Enhancement: Added user configured default eQSL/QRZ.com/LoTW/Clublog sent values
- Removed references to the www.klog.xyz
- Bugfix: If imported ADIF did not contain valid DXCC number, those QSOs were imported but not shown. (TNX EA5WA)
- Bugfix: LoTW import caused a QSO duplication. (TNX EA5WA)
- Bugfix: v 2.4.1 LoTW confirmations are not correctly imported to logbook.dat
- Bugfix: RST is not correctly shown when editing (Closes #810)
- Bugfix: DXCluster: Settings filtering based on worked status may not be working properly (Closes #800)
- BugFix: Dates in eQSL tab are not correctly displayed. (Closes #799)
- BugFix: Spanish translation typo (TNX @samuelhm)

Apr 2025 - 2.4.1
- BugFix: Qt6 Can't Import Adif File (Closes #787)
- Translations: Catalan (TNX Txema), Rusian (YL3GBC,RA3TYL).

Apr 2025 - 2.4.0
- Enhancement: Button without text label in message box. (Closes #641)
- Enhancement: Refactor DataProxy_SQLite::addSatellite (Closes #690)
- Enhancement: New DXCluster UI
- Enhancement: Ported from Qt5 to Qt6.
- Enhancement: Refactoring of several classes.
- Enhancement: SQLi protection of some queries.
- Enhancement: Improve how the cty.csv file (countries file) is read.
- Enhancement: Update the entities table to make UTC real instead of int (e.g. India is -5.5 UTC)
- Enhancement: Function to import QSOs from WSJTX.
- Enhancement: Added all the modes/submodes of ADIF 3.1.4
- Enhancement: Added many tests to test code before releasing.
- Enhancement: ADIF Added SUBMM band.
- Enhancement: Completed the names of the fields in the log view widget.
- Enhancement: Added several ADIF fields (Closes #396, #507, #508, #719)
- Bugfix: Not connecting to new dxcluster servers (Closes #760)
- Bugfix: (macOS) KLog returns an error if windows is closed instead of closing the app (Closes #786)
- Bugfix: 2.4.0-RC1 Dates missing 'day' digits when editing a record in the eQSL tab (Closes #783)
- Bugfix: On start it shows the message no translations are found (Closes #774)
- Bugfix: QSO tab: If editing and cancelling, it shows red freq  (Closes #776)
- Bugfix: Edit QSO does not recover the comment so info is lost (Closes #779)
- Bugfix: LOTW upload using VARA-HF mode fails. (Closes #735)
- Bugfix: Map shows a missing API message (Closes #675)WIP:
- Bugfix: LoTW upload station callsign "Not defined" (Closes #657)
- Bugfix: KLog 2.3.4 on OS/X always report an error when exiting the application (Closes #743)
- Bugfix: Click on disconnect whe you have just connected shows a message with no words (Closes #770)
- Bugfix: Cancel does not restart the status (Closes #769)
- Bugfix: Clicking Cancel in the DXCluster call when connecting does not stop the connecting secuence. (Closes #684)
- Bugfix: ADIF import: Do not add 0 as default iota_id & my_iota_id (Closes #768)
- Bugfix: ADIF import: Do not add a 0 as default k_index (Closes #767)
- Bugfix: ALTITUDE gets a wrong data on ADIF import if no ALTITUDE is present in the ADIF file (Closes #765)
- Bugfix: Default mode for 60m band is USB. (Closes #596)
- BugFix: Data loss: Data not managed by the UI may be lost if eddited (Closes #722)
- BugFix: Fixed the ISO name for Togo.
- BugFix: Distance was not exported to ADIF and DARC_DOK included the distance instead of the right DARC_DOK.
- BugFix: Country fix read failed with complex prefixes.
- Bugfix: CQ & ITU zones may be wrong for callsigns from specific DXCC if coming from WSJTX.
- Bugfix: ClubLog date was not properly managed.
- Translations: Dutch (TNX PA3FNT), Spanish (EA4K), Italian (TNX IU5HIU), Latvian (TNX YL3GBC), Rusian (YL3GBC,RA3TYL).
- Removed the message against the Russian invasion of Ukraine. No specific reason for this removal.
  Just I don't feel that it is useful any more.


Mar 2024 - 2.3.4
- BugFix: After Editing a QSO, lotw_qsl_rcvd is emptied (Closes #656, #659) (TNX N6PAZ, EA5WA)
- Bugfix: Keep data of SAT tab when entering a QSO stopped working. (TNX EA5WA)
- BugFix: When editing a split QSO, if TX Frequency is modified, split is disabled and frequencies made equal. (EA5WA)
- BugFix: Incorrect CQ zone saved to DataBase (Closes #666) (EA5WA)
- BugFix: FO/x calls are not properly identified/stored (Closes #677) (EA5WA)
- BugFix: Minor CQz & ITUz bugfixes that could, potentially accept CQ or ITU zones being 0.
- Bugfix: Several fields do not meet ADIF specification (Closes #669)
- Bugfix: DX-Cluster activity file can't be edit with normal txt file. (Closes #682)
- Bugfix: QSO_COMPLETE field in database needs to be redefined (Closes #680)
- Bugfix: QRZ.com QSO status was not properly working. (Closes #664)
- Bugfix: Alternative location for logbook.dat was not working properly (Closes #653)
- Bugfix: Clarify how to use mode / submode in the DB (Closes #650)
- Bugfix: Cleared some warning errors about the DB notbeing created in the console.
- Enhancement: Refactored the getADIFQSO/getADIFFromQSOQuery to have just one single point of ADIF creation.
- Translations: Danish (TNX Peter), Russian (YL3GBC), Spanish (EA4K)

Dec 2023 - 2.3.3
- WIP: Started to reduce the possibility of SQLi with the use of prepared statements.
- Bugfix: Sat QSO edit was not showing the worked SAT (Closes #645)
- Bugfix: After editing a QSO, the restore was not working properly. (Closes #649)
- Bugfix: In Sat QSO, still not selected band may make the QSO unusable. (Closes #651)
- Bugfix: All Gridsquares are now listed when Export to ADIF is used. (Closes #514)
- Bugfix: Selecting a sat with a new band made the bandcombobox unusable. #613
- Bugfix: F1 (online manual link fixed (Closes #627) (TNX ikbenkous)
- Bugfix: 'Usage' does not properly handle arguments, print newlines or return status codes (Closes #625) (TNX ikbenkous)

- Enhancement: Improved the Frequency entry. (Closes #622) (TNX ikbenkous)
- Enhancement: Use a good discriminator in header guards (Closes #624) (TNX ikbenkous)

Jun 2023 - 2.3.2
- Bugfix: KLog was not starting when started in clean installations.(Closes #599)(TNX cwross)

Jun 2023 - 2.3.1
- Bugfix: When exporting a log, selecting the stationcallsign has no efect on the qsos shown
- Bugfix: When no validating callsigns, some ADIF fields were exported even if they were empty.
- Bugfix: In some conditions, not identified propagation modes were exported as "NO". (Closes #518)
- Bugfix: VUCC_GRIDS validation was not properly done.
- Bugfix: It was not possible to select the second pair of freqs of a Sat (Closes #483)
- Bugfix: Export/Upload lists of QSOs where not properly created due to call validation issues. (Closes #528)
- Bugfix: Fixed the ClubLog URLs that were changed by ClubLog. (Closes #502)
- Bugfix: QSOs confirmed with LoTW were not properly shown in DXCC Status. (Closes #551)(EA5WA)
- Bugfix: In some conditions, not identified propagation modes were exported as "NO".
- Bugfix: In some conditions QRZ.com log upload was not working. (Closes #542)
- Bugfix: In some conditions eQSL.cc log upload was not working. (Closes #526)#
- Bugfix: VUCC_GRIDS validation was not properly done.
- Bugfix: It was not possible to select the second pair of freqs of a Sat (Closes #483)
- Bugfix: LoTW export was not using the selected grid when exporting (Closes #539)
- Bugfix: Some statistic widgets had a broken layout (Closes #491)
- Bugfix: When a new QSO is added, the numbers in awardswidget were not updated.
- Bugfix: Distance/beam is shown when editing. (Closes #330)
- Improvement: Inclusive search and submodes in LoTW download and WSJTX import. (TNX AG5UR)
- Improvement: Code improvement in the MainWindowInputQSO class.
- Improvement: Log export widget shows now only QSOs in the current log.
- Improvement: Code improvement in the MainWindowInputQSO class.
- Improvement: Warning of unused parameters removed.
- Improvement: Some SQL queries optimized for speed.
- Improvement: Optimized the way log files are exported to online services.
- UI: Added QRZ Lookup Button (Closes #390) (EA5WA).
- UI: Removed the locator, TX Freq and RX freq widgets from the Satellite tab. (Closes #534, 535, #536)
- UI: Shows the total number of QSOs when exporting.
- UI: Added a Right-click menu in the DXCluster widget to send a spot to QRZ.com.
- UI: Columns in LogView are now movable with the mouse.
- Removed the user callsign from the http header when checking for a new version for increased privacy.
- Translations: Catalan (TNX Txema), Latvian (TNX YL3GBC), Spanish (EA4K), Ukrainian (UR6QV & UR3QJW).

Oct 2022 - 2.3
- Improvement: Code optimization (TNX JohnS0819)
    https://github.com/ea4k/klog/pull/485
- Bugfix: Calls like EA4K/P were not identified as EA.
- Bugfix: Adding DXCluster servers was failing. (Closes #492) (TNX EA7IXM)
- Bugfix: When accepting changes on Settings, the settings were being readed twice, causing errors an delays. (Closes #495)
- Bugfix: QSOS with a lotw_qsl_sent status as NULL where not identified when queuing QSOs for LoTW. (closes #514)
- Improvement: Added the modes and propagation modes of ADIF  3.1.3 (Closes #509, #510)
- Improvement UI: Freq & RST labels have been reorganized for clarity.
- Improvement: Windows package updated to hamlib 4.4.
- Improvement: Minor UI changes in the Setup->misc tab.
- Improvement: Showing seconds in the QSO edit can be selected by the user.
- Improvement: LoTW upload process allows the user to select a specific locator to be uploaded to be matched with TQSL locations.
- Improvement: Changed how hamlib is initialized to speed-up the setup widget exit, specially for non-hamlib users.
- Improvement: Some code cleaning.

Aug 2022 - 2.2.1
- Bugfix: Temporary bugfix for Setup eLog Page preventing crash on start. (Closes #489)
- Bugfix: Temporary quick fix to prevent call validation in some classes that may cause errors. (Opens #490)
- Bugfix: Config for real time for clublog was not properly managed.
- Bugfix: Calls like EA4K/MM were identified like Scotland, not maritime.
- Improvement: Code improvement in the Setup of eLogs.
- Tests: Tests for SetupPageElog added.

Aug 2022 - 2.2
- Bugfix: DL was not properly shown in the DXCC status table (Closes #460) (TNX N6PAZ)
- Bugfix: Clublog QSO status export to file was not properly done.
- Bugfix: Removing first char in the callsign caused a crash. (Closes #455) (TNX G4MKT)
- Bugfix: Database was not beig properly created in first start.
- Bugfix: Changing the statistic widget crashed KLog. (Closes #484)
- Bugfix: Some prefixes were not properly identified.
- Bugfix: Fixed some database column name typos.
- Improvement: Callsign identification optimized.
- Improvement: The Debug logging has been improved, still much work TBD.
- Improvement: General code cleaning (coveralls.io)
- Improvement: General code cleaning (lgtm.com alerts)
- Improvement Distance is now stored for new QSO added or modified QSOs from the UI. (Closes #459).
- Map back to OSM to recover the map for raspberry & linux
- Translations: Spanish (EA4K).

Feb 2022 - 2.1
- Improvement: Changed the map provider to ESRI to be able to get Map legends in English.
- Improvement: Added two buttons to the map to change the zoom level.
- New feature: DX Spots coming from DXCluster can be sent to the map.
- Bugfix: Longitude was not properly calculated from a callsign.
- Translations: Spanish (EA4K).

Feb 2022 - 2.0
- Stop the Ukranian war release.
  This KLog release is showing my request to stop the war in Ukraine.
  No other feature of bugfix will be done in this release.

Feb 2022 - 1.9
- New feature: Map showing locators. (Closes #168)
- Bugfix: Mark QSL to be sent is not shown if QSL is sent on right click menu in the search widget. (Closes #387).
- Improvement: Query the radio after leaving manual mode (Closes #416).
- Improvement: Grids are now sorted on Grid stats for satellites. (Closes #424).
- Translations: Catalan (TNX Txema), Italian (TNX IU5HIU), Japanese (TNX JJ1TGT) & Spanish (EA4K).

Jan 2022 - 1.8.7
- Bugfix: Removed the hamlib test from the KLog start that was causing big delays.
- Bugfix: Serial speed was not saved to config file.
- Bugfix: eQSL Uploads problem solved (Closes #406).
- Bugfix: Connection to the radios were not being done properly (Closes #407) (Closes #379).
- Bugfix: SplitCheckBox was checked when coming from Setup (Closes #377).
- Bugfix: Entering a QRZ cleared the DX Gridsquare if it was previously entered (Closes #357).
- Bugfix: Imported QSOs add the default electronic QSL send info if configured.
- Bugfix: DXCC widget shows last Entity status after modifying a QSO (Closes #412).
- Bugfix: Hamlib is now stopped while editing a QSO (Closes #414).
- Bugfix: Hamlib on serial devices works ok. (Closes #355).
- Bugfix: RST is not changed on mode change when editing. (Closes #423).
- New feature: Added a Manual Mode checkbox to disable quickly hamlib & wsjtx integration.
- New feature: Added "Save" and "Cancel" button when editing a recorded QSO.
- Update: Developers mailing list address changed to klog@groups.io (Closes #421).

Jan 2022 - 1.8.6
- Bugfix: Net rig & FLRig hamlib connections were not working propertly. (Closes #339) (TNX W5PNY)
- Bugfix: Some prefixes were not properly detected. (Closes #371) (Closes #367).
- Bugfix: Serial Hamlib rigs were not properly working. (TNX W5PNY)
- Bugfix: QRZ.com was disabled if user was not subscribed. (TNX EA5WA)
- Bugfix: QRZ.com data was not updated if the boxes were already filled. (TNX EA5WA)
- Bugfix: Callsigns formet were not always properly checked.
- Improvement: Hamlib 4.4 in binary packages (macOS & Windows) tested also in Linux.
- Improvement: RTS & DTR are defined to OFF by default in hamlib.
- Improvement:KLog differenciates QRZ.com subcribed users from non subscribed. (TNX EA5WA)

Oct 2021 - 1.8.5
- Bugfix: Station callsign was not shown on window title. (Closes #347)
- Bugfix: Received QSOs from LoTW were shown as to be sent. (Closes #358)
- Bugfix: Log was not properly ordered. (Closes #346) (TNX EA5WA)
- Improvement: Message of the mainwindow has been updated. (Closes #361)
- Improvement: Logs to be uploaded to LoTW are only shown from the current log. (Closes #362)
- Improvement: Logs to be uploaded to ClubLog are only shown from the current log. (Closes #363)
- New feature: It is now possible to enable/disable the callsign check. (Closes #186)
- Removed dead & commented code.
- Improved how mainCallsign & Station callsigns are used.
- QRZ.com queries are disabled if QRZ.com returns a non-subscribed user answer.

Aug 2021 - 1.8.4
- Bugfix: In some situations callsigns were always shown as to be worked. (Closes #345)
- Bugfix: Double click on DXCC widget was not sending the DXCC QSOs to the search widget.
- Bugfix: Queued LoTW  were not properly selected for upload. (Closes #354) (TNX EA5WA)
- Improvement: KLog start is optimized.

Aug 2021 - 1.8.3
- Added some backport code so systems without Qt 5.15.2 can compile and use KLog.
- Bugfix: Selecting File->Export to ADIF was not showing all the possible QSOs to be exported.

Aug 2021 - 1.8.2
- Bugfix: Updated the openSSL libraries for Windows users that was causing TLS errors on some connections. (Closes #342)
- Bugfix: Spanish typo (TNX EA5WA) (Closes #341)
- Bugfix: Statistics were showing wrong numbers on DXCC/Grid per band (Closes #344)

Aug 2021 - 1.8.1
- Bugfix: QSOs comming from WSJTX and other sources where not shown, depending on logview configuration. (Closes  #338)

Aug 2021 - 1.8
- Bugfix: Some recently added ADIF fields where not properly imported from ADIF.
- Improvement: Code updated to Qt 5.15.2. (Closes #323)
- Improvement: VUCC_GRIDS & MY_VUCC_GRIDS are also managed in the UI. (Closes #319)
- Improvement: LogView fields to be shown can be selected in the prerefences. (Closes #23)
- Translations: Catalan (TNX Txema), Italian (TNX IU5HIU) & Spanish (EA4K).

July 2021 - 1.7
- Bugfix: RealTime remained checked when editing.
- Bugfix: Some Hamlib parameters were not properly stored.
- Bugfix: Coredump when no entity (Closes #302)
- Bugfix: Colors are now properly defined. (Closes #275) (Closes #40)
- Bugfix: Station callsign is read from the settings. (Closes #307)
- Bugfix: The right setup dialog tab is open on first start. (Closes #311)
- Improvement: DarkMode added. (TNX EA5WA) (Closes #56)
- Improvement: DXCC & WAZ management optimization.
- Improvement: Current UI data is saved before going to edit a QSO and restore after editing.
- Improvement: Order of widgets when tab is pressed has been improved. (Working on #265)
- Statistics: Added the Grids & DXCC per band statistic. (Closes #312), (Closes #313), (Closes #314)
- UI: The Setup menu has been moved to Settings into the File menu.
- Translations: Catalan (TNX Txema), Italian (TNX IU5HIU) & Spanish (EA4K).

June 2021 - 1.6
- Optimization: Isolated the QSO tab to an independent widget.
- Bugfix: When starting KLog for the first time, it crashed.
- Bugfix: Hamlib was not properly started on KLog start (closes #126) (TNX G4MKT)
- Bugfix: SAT_MODE was being added to non SAT QSOs.
- Bugfix: DXCC status was not being properly updated.
- Improvement: Added user selectable ADIF fields in the Other and My Data tabs. (Closes #4)
- Improvement: Enhanced how the UDP server is started on KLog start.
- Improvement: Added some basic SQL Injection protection to the UI. (Closes #95)
- Improvement: UI data is saved before entering the Setup and restored after setup is done. (Closes #188)
- Improvement: Only one instance of KLog is allowed to run simultaneously. (Closes #250) (TNX foldynl)
- Commented some Flawfinder false positives.
- Translations: Catalan (TNX Txema), Czech (TNX OK1MLG), Italian (TNX IU5HIU) & Spanish (EA4K).

May 2021 - 1.5.3
- Bugfix: Fixes the DataBase update process to add the Q65 mode.
- Bugfix: Unexpected Setup dialog behavior. (Closes issue #178) (TNX foldynl)
- Bugfix: Time is not in UTC when "Log in real time" is uncheck. (Closes issue #179) (TNX foldynl)
- Bugfix: Missing translation in SoftwareUpdateDialog. (Closes issue #180) (TNX foldynl)
- Bugfix: Inconsistency text in Tip#2. (Closes issue #182) (TNX foldynl)
- Bugfix: Missing Translation string in SetupPageMisc::createUI. (Closes issue #185) (TNX foldynl)
- Bugfix: When LoTW service was no enabled, KLog insisted to show the QSOs to be exported.
- Bugfix: Setup->Satellites did not show a correct Short name. (Closes issue #192) (TNX foldynl)
- Bugfix: Removal DX Cluster unexpected disconnection. (TNX foldynl)
- Bugfix: Tip #21 was not shown. (Closes issue #184) (TNX foldynl)
- Bugfix: TQSL was not properly found on macOS. (Closes issue #195) (TNX K0JM)
- Enhancement: Improved the readability of the DX Cluster window. (TNX foldynl)
- Updated the KLog tips.
- Translation: Czech (TNX OK1MLG), Spanish.

May 2021 - 1.5.2
- Bugfix: Complex calls like K/EA4K/P were identified as wrong calls. (Closes issue #177) (TNX PA3FNT)

April 2021 - 1.5.1
- Added the GitHub repository to find new releases due to the issue with savannah.nongnu.org
- New feature: F4 toggles the real time status (on/off).
- Improvements on call identification  management on user input.
- Bugfix: Editing removes QTH and name (Closes issue #113)
- Bugfix: Some complex calls (i.e. F/EA4K) were causing a crash unders some conditions.
- Bugfix: DX Entity of some complex calls where not properly identified. (Closes issue #8).

March 2021 - 1.5
- Added the 8M & 5M bands.
- New feature: Added "Adif file deletion" checkbox. User can choose to show or not the message boxes after uploading QSOs.
- New feature: New function added to fill automatically the satMode field in satellites Tab depending on upload/download frequencies.
- UI: Added EA5WA as Author. :-)
- New feature: LoTW confirmation is also counted for DXCC & WAZ.
- New feature: DUPES are now identified when coming from WSJTX, ADIF logs, LoTW logs or simply adding a QSO.
- New feature: Added a time period to consider a QSO as DUPE if call, band & mode are also the same. (Closes issue #41)
- Improvement: Hamlib now supports network communication (TNX DG1VS)
- Improvement: Optimized the way DXCC & WAZ are managed.
- Improvement: KLog receives the clear messages from WSJTX and is able to clear the KLog UI.
- Statistics: Added the Grids on Satellites statistics.
- Statistics: Added the DXCC on Satellites statistics.
- UI: Removed the QComboBox of the Setup Log tab to select the log. (TNX G4MKT)
- UI: Added the QSO per log in the logs setup.
- UI: Added a checkbox to keep the Propagation mode, if needed. Propagation mode is also linked to the Satellite tab. (TNX EA5WA)
- UI: Added a Help->Online Manual menu or push F1 to go to the Online Manual (Closes issue #52)
- Bugfix: Improved the way the QSOs come from WSJT-X. (EA5WA)
- Bugfix: Double clicking on a call, while searching made the search to be redefined to that call and the previous search was lost.
- Bugfix: Satellite stats where not properly calculated. (TNX EA5WA)
- Bugfix: Identifying some bands was not properly done due to the names being in lower case.
- Bugfix: When importing an ADIF and asking for a default station callsign, it was only used for the first QSO, leaving the rest without a station callsign.
- Bugfix: Stats widget where not being properly created.
- Bugfix: The Log combobox on the Statistics was not working. (TNX EA5WA)
- Bugfix: End date tooltip updated on the export widget.(TNX G4MKT)
- Bugfix: DX Locator tooltip was not OK. (TNX G4MKT)
- Translations: Catalan (TNX Txema) & Spanish (EA4K).

January 2021 - 1.4.7
- Added the Q65 mode.
- eQSL sent is added as Q when received from WSJT-X (github issue #45)

January 2021 - 1.4.6
- Bugfix: Improved the way the QSOs come from WSJT-X. (EA5WA)

January 2021 - 1.4.5
- Added the FST4 and FST4W modes.
- Added the RS-44 satellite.
- UI: Changed "Config Dialog" to "Settings". (TNX G4MKT)
- UI: Changed QRZ to Callsign.

December 2020 - 1.4.4
- Bugfix: QSOs received from WSJT-X may not be saved properly.
- Bugfix: ClubLog, eQSL.cc and QRZ.com were losing one setting. (TNX EA5WA)

December 2020 - 1.4.3
- Bugfix: PJ7 flag was not being shown in the DXCC widget.
- Bugfix: Disabling LoTW made impossible to enable it again via the setup. (TNX G6YRK)

December 2020 - 1.4.2
- Bugfix: ADIF export was failing in some circunstances.

December 2020 - 1.4.1
- Bugfix: Stat 01-QSO per year was not properly shown when returning from other stat. (TNX EA5WA)
- Bugfix: UpLink sat freq was not properly defined when exiting the setup.
- Translation: Spanish translation fix.

December 2020 - 1.4
- Improvement: Prepared the WSJTX-2.4 UDP interface.
- Improvement: User data stored in the setup is know used in the QSOs (default power, station callsign).
- Improved the KG4xx (Guantanamo bay) DXCC detection from KG4 calls.
- Updated how KLog counts the confirmed DXCC entities to include LoTW confirmations.
- New feature: QSO upload to the QRZ.com Logbook (including qso selection and qso mark that has been uploaded)
- New feature: QSO upload to the eQSL.cc Logbook (including qso selection and qso mark that has been uploaded)
- New feature: ClubLog full log upload (adding or overwriting).
- New feature: It is possible to keep the comment field from one QSO to the following one. (TNX EA5WA)
- New feature: It is possible to select multiple QSOs in the log and execute several actions with the selected QSOs.(TNX EA5WA)
- New feature: It is possible to check for the data of calls in QRZ.com (you need a subscription in QRZ.com)
- UI: Removed the Keep my data option from the Setup UI.
- UI: The RX frequency follows the TX unless the split is checked.
- UI: Consolidation of all the electronic logs configurations in one single setup page into the eLog tab.
- Bugfix: Save all QSOs to ADIF process continued even if the user clicked in cancel.(TNX G4MKT)
- Bugfix: Backup file was not being created in the right path.(TNX G4MKT)
- Bugfix: Some paths were converted to upper case causing some issues in some case sensitive situations. (TNX G4MKT)
- Bugfix: In some cases, the RST format was not properly defined.(TNX G4MKT)
- Bugfix: Default ADIF file was not being saved on exit. (TNX G4MKT)
- Bugfix: It was not possible to select empty logs from the preferences. (TNX G4MKT)
- Bugfix: QSOs comming from WSJTx were not being uploaded to ClubLog. (TNX PD9Q)
- Bugfix: Too many mesages when uploading in realtime to Clublog. It should be done silently.(TNX EA5WA)
- Bugfix: Typo in the INSTALL-linux. (TNX DL4TO)
- Bugfix: Hamlib polling rate was not being saved from the setup. Default value is defined to 300ms. (TNX G4MKT)
- Bugfix: Complete with previous QSO (name, locator, ...) was not working properly.
- Bugfix: PROGRAMID ADIF data was not properly tagged.
- Bugfix: When selecting the QSOs to upload to LoTW, if the selected call was the first one on the combobox, selection didn't worked properly.
- Bugfix: When importing ADIF files with fields without RST_SENT or RST_RCVD the proposed default value was not adapted to the mode of that QSO.
- Bugfix: Extension .adi was always added, even if the file had it already.
- Bugfix: When doing a database backup, the name of the file was not being properly defined.
- Bugfix: ClubLog realtime syncronization was not working properly.

October 2020 - 1.3.2
- Bugfix: Data comming from WSJT-X, when several WSJT-X instances were running was not properly parsed. (TNX 2E0WJW)

October 2020 - 1.3.1
- Translations: Croatian (TNX M0NKC).

October 2020 - 1.3
- Improved the search widget to make searching much quicker.
- Improved the Edit of QSO related to the default QSL sent status.
- Improved the QRZ.com & DXHeat.com queries from the log & search window.
- Improved the UDP datagram receiver to ensure it is working multicast.
- UI: KLog remembers the size of the window from last execution. (TNX EA5WA)
- UI: The Station Callsign and number of QSOs in the current log is shown in the windows title.(TNX G4MKT)
- New feature: KLog now search for the call as the user enters for previously QSOs with that call. (TNX EA5WA)
- Adds an ".adi" file extension to the log ADIF files if not added by the user. (TNX G4MKT)
- When reading a log from LoTW, if there are new QSOs not present on the current logfile, KLog offers the option to import them.
- Bugfix: It was not possible to add a log if the date and Station Callsign were the same.
          Now operators and comments are also taken into consideration.(TNX G4MKT)
- Bugfix: The export of QSOs without an station callsign defined was failing.(TNX G4MKT)
- Bugfix: When reading a log from LoTW, the list of QSOs were not shown at the end. (TNX EA5WA)
- Bugfix: Comment in the new log widget was converted to uppercase. (TNX G4MKT)
- Translations: Catalan (TNX Txema), Italian (TNX IU5HIU), Spanish (EA4K).

Sept 2020 - 1.2.2
- Bugfix: LoTW export was failing due to a wrong SQL sentence. (TNX PD9Q).

Aug 2020 - 1.2.1
- Bugfix: ADIF export was not exporting dates with the right format in some eQSL fields.
- Bugfix: QSOs were not properly imported when received from WSJT-X.
- Bugfix: Pool/Poll typo fixed. (TNX Barry!).
- Bugfix: QSO editing - Locator was being cleared from sat tab.
- Bugfix: QSO editing - User Inferface was not properly clearedn after editing.
- Bugfix: QSOs tag in the Award tab was not properly formatted in Windows OS.
- Improvement: ADIF creation has been optimized.
- Improvement: All fields received from WSJTX are now added to the log.
- Improvement: GRIDSQUARE & MY_GRIDSQUARE ADIF fields are now also exported to LoTW upload.

Aug 2020 - 1.2
- New feature: KLog proposes to do a database backup before it is upgraded so data can be recovered if there is any problem.
- Improvement: When receiving the status from WSJT-X,the RX frequency is also updated with the same TX freq
- Improvement: Dates and Times are now together and it is possible to sort the log based on date & time. Date format has been overall updated.
- Improvement: Search is now more confortable as the search does not start inmediately after a key is pressed but some time after so it's possible
               to enter more letters and reduce the search time.
- Bugfix: Fixed the DB update processes.
- Translations: Catalan (TNX Txema), Italian (TNX IU5HIU), Spanish (EA4K).

May 2020 - 1.1
- Improvement: Search widget has been improved.
- Improvement: Callsigns are always checked to be a good callsign before they are saved to the log, imported and exported to ADIF.
- Improvement: Removed some death code.
- Improvement: If TX Freq & RX Freq are the same, only TX Freq is exported.
- Improvement: New functions to check calls when importing ADIF logs.
- Improvement: Improved how CTY.CSV (country files) is working.
- UI: Widget to show the QSOs to be exported to ADIF & LoTW.
- UI: Widget to show the QSOs updated from ADIF & LoTW.
- UI: Clear the UI also clears the status of a DXCC in the Band status widget.
- UI: Added a checkbox to easily enable/disable the real time in the QSO entry box.
- UI: Passwords are now hidden in the UI when entered.
- BugFix: Only QSOs are now updated when data is uploaded from LoTW.
- BugFix: DXCC & WAZ information was updated twice when removing a QSO.
- BugFix: DXCC & WAZ count.
- BugFix: Fixed one SQL query on satellite.
- Bugfix: Fixed the print function. (JL3OXR).
- Translations: Catalan (TNX Txema), Spanish (EA4K).

April 2020 - 1.0.1
- BugFix: UTC time was not properly managed, specially in the date.

March 2020 - 1.0
- UI: Removed the first column inthe DXCC widget to make it more user friendly.
- UI: Created a widget to manage the Main QSO entry to make KLog more modular.
- UI: eQSL & LoTW are marked as queued to be sent by default if the user activates it in the setup.
- UI: Added the title to some QMessage boxes that were missing.
- UI: Improved the usability of creating new logs or editing existing logs in the setup.
- New feature: Integrate TQSL to upload QSOs to LoTW directly from KLog.
- New feature: You can check a call in QRZ.com by right-clicking in the call from the log.
- New feature: You can check a call in DXHeat.com by right-clicking in the call from the log.
- New feature: It is now possible to save in a file all the DX-Cluster activity.
- Improvement: Added https to the cty.dat download.
- Improvement: Added the https to download.klog.xyz
- Improvement: Propagation modes are now sorted in the Propagation mode combobox.
- Improvement: Four new tips added.
- Improvement: eQSL & LoTW dates are updated always that are modified to any status.
- Improvement: If a QSO does not have a freq, a default freq based on the band is assigned if edited.
- Improvement: Removed some deprecated functions.
- Improvement: Improved the way KLog checks for a wrong call (IARU rules applied).
- Improvement: Improved the way KLog checks for a wrong IOTA reference.
- Removed the functionality to sort the log based on Date & Time columns.
- Removed one console message about a duplicated database connection.
- Bugfix: It was not possible to include new dxcluster servers in the setup.
- Bugfix: The default value of RST in some digital modes using SNR were not properly shown.
- Bugfix: In translated instances of KLog, Propagation mode was sometimes not properly saved when no propagation mode eas selected.
- BugFix: Locator in SAT widget was not always not correctly evaluated as correct.
- Updated translations: Catalan (TNX Txema), Croatian (TNX M0NKC), Finnish (TNX Kristjan), Spanish (EA4K).

February 2020 - 0.9.9.1
- BugFix: Bands & modes where sometimes duplicated in the combobox (TNX G4MKT).

January 2020 - 0.9.9
- UI: Created a widget to manage the Awards to make KLog more modular.
- UI: When starting a new version for the first time, the splashscreen is not hidding other messages anymore.
- UI: Removed some not used File menus (New, Open, Save & Save As).
- UI: Sorting by date the log is also sorting taking into account the time.
- New versions are now found depending on the OS, not just for the sources.
- New feature: Added some tips in the Help menu to help the users to get the most of KLog.
- Hamlib has now a read-only mode that will read freq & mode from the radio but will never modify/update anything in the radio.
- Added some debug log option.
- Some code cleaning with cppcheck and compilation warnings removed.
- UI: Added a WSJT-X like color schema.
- Bugfix: KLog was crashing if the call was completely removed in the Setup.
- BugFix: KLog was always logging 59 instead of the real RST. (TNX DB4BIN)
- BugFix: KLog was changing the mode in the radio from CW-R to CW if hamlib was active. (TNX G4MKT)
- BugFix: KLog was changing freq in the radio in the starting process if hamlib was active. (TNX G4MKT)
- Improvement: KLog reads the radio freq/mode when starting. (TNX G4MKT)
- BugFix: ADIF export function was not exporting the DARC_DOK properly.
- Bugfix: Closes Debian bug: #948911: FTBFS on mipsel. (TNX Lisandro)
- BugFix: Editing the log metadata in the setup was not possible.
- KLog exit process improved.
- KLog start process improved.
- DataProxy_SQLite class removed to optimize the code.
- Other minor improvements.
- Updated translations: Catalan (TNX Txema), French (F4HWL), Spanish (EA4K).

August 2019 - 0.9.8.1
- Added the Es'hail / QO-100 satellite.
- UI: Satellite list, propagation modes and others are now shown sorted. (TNX Isabel)
- UI: Added default values to the infoWidget (Continent, Prefix, CQ, ITU...). (TNX Isabel)
- UI: RX/TX Freq in Satellite tab are also in red/black depending on the frequency being out/in of ham bands.
- UI: Mode selected is now changing the RST format and default values for some modes.
- Bugfix: Editing a QSO to remove a comment was not properly working. (TNX Isabel)
- Bugfix: Worked & Confirmed QSO numbers are now aligned in the Awards tab. (TNX Isabel)
- Bugfix: KLog.pro is now fixed to compile in Linux. (TNX KB2YSI)
- Bugfix: Improved how the DXMarathon was managed when disabled.
- Bugfix: Improved how DXCC Award was updated after one QSO was added. (TNX Isabel)
- Fixed a bug in the SQL update database.

August 2019 - 0.9.8
- New feature: Basic Hamlib support.
- Fixed a bug in the SQL update database.
- Fixed a bug in the DXCCWidget.
- Fixed a bug in the QSO per hour stats.
- Added the FT4 mode.
- Updated translations: Catalan (TNX Txema), Danish (TNX Joe), Finnish (TNX Kristjan), French (F4HWL), German (TNX Burkhard), Spanish (EA4TV).

March 2019 - 0.9.7.3
- TODO: Remove the band 0 / Light from the DB.
- UI: KLog warns the user if the frequency used is out of the hamradio bands.
- Reworked how freqs and bands are managed.

March 2019 - 0.9.7.2
- Bugfix: Frequency boxes did not accepted frequencies higher than 99.999 MHz. (TNX KB2YSI)

March 2019 - 0.9.7.1
- Bugfix: The frequency was not properly saved in the DB. (TNX KB2YSI)
- Bugfix: The QSO_DATE was not exported into ADIF. (TNX KB2YSI)

March 2019 - 0.9.7
- Bugfix: When clicking on Check updates, the dialog froze.
- Bugfix: Printing log is not longer showing band in the mode column.
- Updated the default date on date boxes to the current date.
- Improved the Frequency syncronization between Satellite tab and the main tab.
- Improved how default mode is calculated.
- Added Satellites widget in Setup.
- Updated translations: Catalan (TNX Txema), Danish (TNX Joe), Finnish (TNX Kristjan), French (F4HWL), German (TNX Burkhard), Spanish (EA4TV).

December 2018 - 0.9.6
- Optimizing the Statistics widget.
- Added some new Statistics widgets.
- Fixed some messages with typos.
- Bugfix: Fixed a bug preventing to modify a QSO. (TNX KB2YSI).

October 2018 - 0.9.5
- Added a dot at the end of all the tooltips.
- Updated the Satellite database (TNX KB2YSI).
- Some queries optimized.
- Bugfix: You can nor close the About KLog window from any tag (TNX F4HWL).
- New feature: KLog shows some statistics of your log: Tools->Stats
- New feature: It is now possible to update the satellite data reading a sats.dat file: Tools->Update Satellite Data.
- Satellites file (sats.dat) updated to september 2018 (TNX KB2YSI).
- New translations: French (TNX F4HWL) and German (TNX Burkhard).
- Updated translations: Catalan (TNX Txema), Croatian (TNX M0NKC), Finnish (TNX Kristjan), Spanish (EA4TV).

August 2018 - 0.9.4
- WSJT-X support to receive logged QSO and realtime data.
- Check bool DataBase::updateTo012() / it was always returning true without any action.
- Syncronize RX Freq with the satellite downlink combobox.
- Focus is back to search line edit when right click on the list of found QSOs.
- Update process has been improved.
- Some warnings removed from compilation time.
- Bugfix: Date was not properly calculated and UTC settings was not applied. That may create wrong date QSO when date changes due to UTC (TNX AC1DW).
- Bugfix: When adding a QSO, if the QSL is marked as received, KLog showed a SQL error.
- Bugfix: Table qsl_via needed to be renamed (TNX EA6ZS).
- Bugfix: Some DXCC status were nor properly calculated.
- Updated translations: Catalan (TNX Josep), Croatian (TNX M0NKC), Danish (TNX Joe), Spanish (EA4TV).

April 2018 - 0.9.3
- Double clicking on DXCC Widget name of the Entity will show the QSO is providing that status on the Search widget.
- Added DXCC support for Kosovo.
- Bugfix: Default band & mode are now defined as the most used band and mode.
- Bugfix: TX frequency was not saved.
- Bugfix: In the dxcc status widget, some countries were showing the UN flag unappropriately.
- Bugfix: When updating the CTY file, query errors were shown on world.readCTYCSV function.
- Bugfix: When editing the QRZ, the cursor position was not properly maintained.
- Bugfix: Fixed the flags of several DXCC entities that were not correctly shown.
- Bugfix: DXCC Status widget was not listing all the DX entities.
- Bugfix: Modes & Bands where not always properly updated from the Setup.
- Bugfix: Adding new QSO that implies a DXCC or WAZ status already worked failed.
- Bugfix: Updating the WAZ status was not always possible due to a incorrect DB query.
- Updated translations: Danish (TNX Joe), Spanish (EA4TV).

January 2018 - 0.9.2.9
- Bugfix: Adding new QSO that implies a DXCC or WAZ status already worked failed.
- Bugfix: Modes where not properly added from the setup (TNX KB2YSI).
- UI Change: Freq in the Satellite tab is now not deleted when a new QSO is added.
- New translation: Catalan by Josep (Thank you!)
- New translation: Finnish by Kristjan (Thank you!)

January 2018 - 0.9.2.8
- Important Optimization on KLog speed on start and general use.
- New satellites (AO-91 & AO-92) added.
- Added ALL the ADIF 3.0.7 fields (except the _INTL ones).
- New feature: New menus to export ADIF files for LoTW and manage LoTW status.
- GUI: Implemented an error reporting for the users for main errors
- GUI: When a satellite is selected the main bands are automatically proposed.
- GUI: QSO band is now linked to the uplink & downlink bands in the satellite tab.
- Bugfix: Some ADIF fields were not properly imported/exported.
- Bugfix: When searching calls like 1A0XX, 2E0XX, ... no results were found but there are with 3D0XXX
- Bugfix: If an empty log was selected on config file, on next KLog start KLog crashed.
- Bugfix: Doubleclicking on the log to edit was sometimes causing the band/mode data to be shown as a number instead of the human readable name.
- Bugfix: Windows version did not detected the DB movement correctly.
- New translation: Polish by LA7RRA (Thank you!).
- New translation: Danish by Joe (Thank you!).
- Updated translations: Croatian (TNX M0NKC), Italian (TNX IU5HIU), Spanish (EA4TV)
- Several internal updates.

September 2017 - 0.9.2.7
- KLog offers the possibility to move the DB to another path (maybe a DropBox folder!)
- New Operating systems recognized in runtime.
- Updated the references to macOS from OSX.
- Updated the list of valid modes up to ADIF 3.0.6.
- Updated the list of valid propagation modes up to ADIF 3.0.6.
- Update the 136KHz band limits to the new US licenses.
- Optimized the speed of printing the log.
- GUI: Added the QSO information done in a year on the DX-Marathon area.
- GUI: Simplified the way active bands/modes are selected.
- GUI: Satellite tab is redesigned.
- GUI: Created a widget to manage all "eQSL" simplifying implementation of the main widget.
- GUI: Created a widget to manage the Log, simplifying implementation of the main widget.
- GUI: Created a widget to manage the Search, simplifying implementation of the main widget.
- GUI: Added a SplashScreen on KLog start to show the user the starting process.
- GUI: If the user adds a frequency in the TX Freq box that is not a currently used band, it is automatically added to the band seletion widget.
- BugFix: Fixed how new logs were added to the DB.
- BugFix: Identification is a band was HF or VHF was not always properly done.
- BugFix: Higher bands where not shown to be selected in the preferences.
- BugFix: DB updating function (009) blocked the execution of KLog the first time it was executed.
- BugFix: Language message if English is the System language is no shown anymore.
- New translation: Italian by IU5HIU (Thank you!).
- Translations updated: Original English (TNX JustinBRye, from Debian-10n-english), Spanish (EA4TV), Japanese (TNX JL3OXR).

May 2017 - 0.9.2.6
- Check updates feature added. On start or when user desires KLog checks if there is one updated version available.
- Simplified the way new logs are added, importing the general StationCallsign & Operators as default for new logs.
- Improved the way first start was managed when no entity information was loaded.
- GUI: Application icon is now shown in the application windows.
- GUI: Updated some messages & tips.
- GUI: DXCluster offers the Station Callsign as default value to connect.
- GUI: Some menu minor reorganization.
- Console: Added a few commands to the console command.
- Changed the World class to be able to import files from any folder.
- Changed how some non ARRL valid entities are managed to show the common name (Sicily / Italy)
- BugFix: When manually importing a new CTY.CSV, although data was updated, it was not shown until next KLog start.
- BugFix: In the others tab, the DXCC was sometime not correctly identified.
- BugFix: Update on the DXCC widget caused no data to be shown if some columns were selected.
- BugFix: Identification is a band was HF or VHF was not always properly done.
- BugFix: Some improvements in data quality when exporting an ADIF file.
- BugFix: When importing an ADIF file, if the file was not correct it was not possible to cancel the whole importing process.
- Some minor changes on source code to optimize and improve.
- Translations updated: Croatian (TNX M0NKC), Japanese (TNX JL3OXR) & Spanish (EA4TV).

Nov 2016 - 0.9.2.5
- BugFix: ADIF export function was not exporting the correct BAND & MODE data.

Sep  2016 - 0.9.2.4
- GUI: Created a DXCC status where all the DXCC entities are listed showing the working/confirmed status.
- GUI: Created a Satellite list including (up to now) only LOTW compatible satellites.
- GUI: Created a widget to manage all "My Data" simplifying implementation of the main widget.
- GUI: Bands in the combobox are always shown correctly ordered (botton-up).
- GUI: Improved the LOTW date management (TNX JL3OXR).
- BugFix: Preferences->Misc: It was not possible to edit the default filename. (TNX K6XT).
- BugFix: Added the Power unit (W) to the power box. Debian bug #654332.
- BugFix: When editing a QSO in some text boxes text was reused from previous QSO and data could be corrupted.
- BugFix: Minor bug in WAZ management.
- BugFix: When managing logs in the setup is was not possible to edit the log data as a new log was always created.
- When starting KLog for the first time, the setup guidance has been improved.
- When selecting an entity, different from the proposed on country file, KLog asks the user which one to use.
- Operator from the selected log is used as default when entering QSO (as station callsign).
- Japanese translation updated. (TNX JL3OXR).
- Spanish translation updated.
- Some cleaning in the code.

Jan  2016 - 0.9.2.3
- Improved the way translations are managed (Specially in Linux).
- Icon application is now shown in OSX & Windows.
- New translation: Japanese by JL3OXR (Thank you!).
- Bugfix: Some strings where not defined to be translated (TNX JL3OXR).
- Bugfix: Some tips in the UI where not correctly placed (TNX JL3OXR).
- Bugfix: QSOs in JT9 were not properly imported from ADIF (TNX EA3XQ).
- Bugfix: Logfiles with the  in the first line, following some test were not properly imported.

Nov 2015 - 0.9.2.2
- Translations are now working properly in Windows & OSX.
- New translation: Catalan by EA3NM (Thank you!).
- Ported from Qt4 to Qt5.
- BugFix: Aether ADIF files could not be properly imported. (TNX AA5VU).
- BugFix: QSOs where not properly shown in the search box.
- BugFix: When started for the first time, no modes were shown as default.
- BugFix: CTY.CSV was not properly updated.
- BugFix: When upgrading the mode information in database some modes where not properly updated.
- GUI: Changed the year to show the full number to avoid problems with old QSO.
- Import ADIF functionality is improved to support importing of logs with some missing data.
- Removed the Spot button until its functionality is implemented.

Sep 2015 - 0.9.2.1
-BugFix: Band & Mode information was not properly stored.

Aug 2015 - 0.9.2
- Bugfix: An ADIF file with one blank line and one QSO used to froze KLog.
- Bugfix: Minor bugfix in the definition of propagation modes.
- BugFix: When editing a QSO the name was not shown.
- BugFix: STX_String field was not always imported properly.
- BugFix: Fixed a minor bug in log table regarding the prop_mode foreign key.
- BugFix: Improved the color & status shown of a QSO on the DXCC.
- BugFix: DXCluster: Fixed a bug that caused the colors to appear always as new one.
- BugFix: DXCluster: The option to show only not confirmed was not working correcty.
- BugFix: IOTA reference was not saved when entering a QSO.
- BugFix: BIGCTY.DAT was not properly download in KLog first start.
- GUI: Added some shortcuts in the preference widget.
- GUI: DXCluster: Add a suggestion to hit enter if no password is expected for the cluster. (tnx AA5VI)
- GUI: DXCluster: Warns you if the spot is needed for the current year DX-Marathon
- GUI: Added a Propagation Mode Combobox.
- GUI: Prop_Mode combobox automatically goes to SAT if sat name or sat mode are defined.
- GUI: Added a Find DX-QSL requested option.
- Added the 630M & 13CM bands.
- Updated Mode & submode definition up to ADIF 3.0.4.
- Special CQ & ITU zones in some calls are now identified.
- KLog is able to import QSOs with no BAND field if FREQ field is present.
- KLog offers the user a default value if RST_TX or RST_RX field is not present when importing.
- Support of realtime upload, modification & removal of a single QSO to/from ClubLog.org.
- Updated the DB with the PROP_MODE options.
- Improved the way KLog manages & shows the bands & modes.
- Removed the option to choose to run in memory or file in the start wizard. KLog will run always using a file for the DB.
- Added an auto complete option to auto-complete info (QTH, Locator, Name, QSL Manager & IOTA) from previously worked QSO.
- Cleared the world.cpp file.
- Some minor performance improvements.

Apr 2015 - 0.9.1.1
- Bugfix: Editing a QSO with satellite data was not properly done and caused some errors.

Apr 2015 - 0.9.1
- Bugfix: Fixed DataBase::getBandIdFromFreq it was not ansswering properly.
- Now checks if band & frequency are coherent before adding a QSO. Band wins.
- All Satellite QSO include the PROP_MODE ADIF tag to make it compatible with LOTW.
- Improved the DXMarathon code.
- GUI: Added basic Satellite support.
- GUI: It is possible to mark a QSL sent via bureau/direct & DX QSL as requested with one action from Search box.
- GUI: KLog request a valid QRZ and at least one first logtype to start using it.
- KLog supports the management of several logs, being possible to edit, remove and select the one to use.

Jan 2015 - 0.9.0.3
- Bugfix: ADIF was not properly imported when Fields where using the Type of data optional field preventing logs from Logger32 being imported. (TNX EB1TR)
- Bugfix: QSL Sent/Received status in the search box were switched.
- Bugfix: CTY.CSV was not updated if the file was already existing.
- Bugfix: Entity DB was not updated when CTY.CSV was updated.
- Bugfix: Search results showed the default Station Callsign if non was in the QSO. This lead to errors if QRZ was not the default.
- KLog recognizes now .ADIF files (instead of only .ADI).
- KLog shows now the WAZ status.
- Added a very basic support of DX Marathon (http://www.dxmarathon.com/).
- DXCluster filters are now working.
- The user can manually assign the DXCC entity for a DX.
- Improved the function to update the DB from one release to the following.
- DB file is compressed everytime KLog finishes.
- It is possible to find QSL pending to receive.
- It is possible to modify entities data in the World Editor in preferences.
- It is possible to choose in preferences whether to keep my Data Tab from one QSO to the next or not.
- GUI: A tooltip is shown in the search results showing the DXCC name / CQ zone.
- GUI: Added a button to rescore awards.
- GUI: Added a button to update the search Box without modifying the text.
- GUI: Updates Bearing/distance/... when changing Locator.
- GUI: When the QRZ lineedit is blank or the clear button is clicked, entity info is deleted (beam, distance, ...).
- GUI: The IOTA continent is updated when the QRZ is modified.
- GUI: DXCluster input is disabled when not connected.
- GUI: Corrected the behaviour of the status bar.
- GUI: Added primary & secondary subdivisions in the Others Tab.
- Some other minor fixes.


Nov 2014 - 0.9.0.2
- Bugfix: Right-click on search result sometimes caused KLog to crash.

Nov 2014 - 0.9.0.1
- Bugfix: Selected DX-Cluster servers were not used to connect. (TNX DL6FBS)

Nov 2014 - 0.9.0
- Ensures the ASCII requirement of ADIF.
- Updated the Preferences dialog.
- Added the About Qt help menu.
- Bugfix: Selected DX-Cluster servers were not used to connect.
- Bugfix: When selecting QSL received/sent with right click, date was not updated.
- Bugfix: Fixed the FileManager::adifReadLog to be able to read logs with several lines per QSO.
- Some other minor bugfixes.
- New feature: It is possible to show Imperial System (Miles instead of Km) data. (TNX - KF5JNU)
- New feature: It is possible to mark/look for & export requested QSL.
- New feature: It is possible to automatically mark(or not) a QSL as requested by the DX when the DX's card is received.
- New feature: It is possible to show (or not) the callsign used in the search box.
- New feature: KLog uses bigcty.csv for normal DX & will use cty.csv for contesting.

Apr 2014 - 0.7.1
- Backport to Qt 4.8.
- Download the http://www.country-files.com/cty/cty.csv instead of cty.dat (with no ARRL id).
- Capable to read cty.csv to get the info of the ARRL id.

Apr 2014 - 0.7.0
- Full rewritten software based only in Qt. NO KDE dependency.
- KLog can now run on Linux, OSX and Windows.

Nov 2013 - 0.6.2
- Bug fixed: Under some conditions, KLog crashes when entering a new QRZ. (TNX LW1EQI).
- Bug fixed: IOTA data was not properly cleared when clicking the Cancel button.
- Bug fixed: QSL combobox content was not properly managed. (TNX DF4FH).
- Bug (gui) fixed: IOTA continent is now "automagically" detected... again (a bug prevented this functionality).
- GUI updated: You can click on RX or TX Frequency buttons to copy the frequency to the other one.
- GUI updated: You can select eQSL in the QSL combobox as an option to mark the QSL information of a QSO.
- GUI updated: Two new shortcuts: CTRL+W: deletes the current QSO. CTRL+Q: to (quick)edit the last QSO added.
- GUI updated: Minor tab reorder.

Jun 2013 - 0.6.1
- Bug fixed: Locator was not properly calculated due to a sign difference management from KLog and CTY.DAT.
- GUI updated: The cursor position management of the QRZ box has been improved to ease the operation.

Jan 2013 - 0.6.0
- Bug fixed: Typo "Frecuency" changed to "Frequency" in a tooltip. (Debian bug: #654328) (TNX Jonas Stein)
- Bug fixed: Typo/wishlist "Numb" changed to "Number" in main table. (Debian bug: #654331) (TNX Jonas Stein)
- Bug fixed: Typo/wishlist "UTC" changed to "Time" in main table. (Debian bug: #654331) (TNX Jonas Stein)
- Removal of several not needed #includes.
- Removed some warnings on compilation.
- GUI improved: The information boxes are now independant from the top right tab widget to improve usability.
- GUI updated: Disabled the Setup tab of Hamlib until hamlib is properly working.

Jan 2012 - 0.5.9
- Bug fixed: When starting for the first time, the CTY.DAT file downloaded had a loop that was not properly managed. (Debian bug: #653697) (TNX Jonas Stein)
- Fixed some typo: "Km" changed to "km". (Debian bug: #6536978) (TNX Jonas Stein)

Dec 2011 - 0.5.8
- Bug fixed: Right button in the search result did not "sent" the QSL card.
- Bug fixed: Closing the window did not ask to save data before exit. (TNX EA7HEG).
- Bug fixed: Beam was not properly calculated. (TNX DL6FBS).
- Bug fixed: Minor problem of APP_KLOG_NUMBER ADIF header fixed.
- Bug fixed: When modifying, some fields did not accepted empty fields (deleting). (TNX VK4JAZ).
- GUI updated: Remove the map tab in the main GUI as it is still not implemented.
- GUI updated: Ordered the tab-switching to make it more usable. (TNX Cedric).
- Added the support for QRP. Power has two decimals. (TNX VK4JAZ).

Nov 2010 - 0.5.7
- New feature: Added the Export needed QSL that allows to create an ADIF file with all the QSO with new ones and new bands still not confirmed that has not been QSLed.
  The objective is to export it to a QSL or label printing software (until KLog implements that feature).
- Updated translations: SV by SM4ABE.
- GUI improved: Added sliders to be able to move panels.
- GUI improved: Changing the band combobox changes the TX Freq box and viceversa.
- Minor fix: The PROGRAMVERSION tag in log was not properly formated.

Jul 2010 - 0.5.6
- Fixed the hamlib compilation scripts (CMakeLists.txt, FindHamlib.cmake). (TNX AB4BD).
- Fixed one bug that causes some architectures not to compile.
- Fixed some permisions and other warnings for Fedora packaging. (TNX N3LRX).
- BUG fixed: Setting QSL from the log with right button was not working.

May 2010 - 0.5.5
- New feature: If cty.dat file is not found, KLog offers to download from the web.
- New feature: New tool to update the update the cty.dat file from the web.
- New feature: QRZ font color changes to red if has been worked previously. (Proposed by KE7TDY)

Mar 2010 - 0.5.4
- Small fix to initialize a variable before using it.(realTimeLog in klog.cpp)
- Fixed a bug that caused KLog to crash of no cty.dat file was found (bug #016917)(TNX KA6MAL)

Feb 2010 - 0.5.3
- Fixed a bug that caused modified QSO not being updated.
- Fixed a bug in the way the band & mode combobox managed the data.

Feb 2010 - 0.5.2
- Fixed a bug that causes a crash when connectiong to DXCluster. (bug #016653)
- Added a very basic Satellite support.
- Removed the Freq LCD and added two new editable widgets: Freq TX and Freq RX. (bug #016609)
- Added again the entity count of /M stations.

Jan 2010 - 0.5.1
- Fixed a bug with the display of the Date.

Dec 2009 - 0.5.0
- Migrated to Qt4.
- Updated translations: SV by SM4ABE, DE by DL5PD, ES by EA4TV.
- ZL2ACG joined the KLog team. Welcome and thank you Andrew!

Apr 2009 0.4.7
- New feature: Import cabrillo logs.
- Improved the ADIF compatibility up to ADIF 2.2.2.
- BUG fixed: Improved the confirmed QSO accounting.
- BUG fixed: RST format were not changed when another mode was selected if the CALL was empty. (TNX Alvaro, EA4RCT).
- BUG fixed: Calls like F0XXX/TU8 were not recognised if written as TU8/F0XXX.
- BUG fixed: TX_PWR is only saved when bigger than 0w :-)
- BUG fixed: Prefixes were not properly managed and some information, as the STATE from ADIF files were not always well imported.
- BUG fixed: Related with the ADIF saving CQ & ITU zones for QSO. It was not properly saved but can be recovered from the CALL.

Dec 2008 - 0.4.6
- BUG fixed: Printing was not properly working due to library actualization.
- BUG fixed: Fields STX/SRX/STATION_CALLSIGN/CONTEST_ID were copied from one QSO to the following one.

Nov 2008 - 0.4.5
- GUI fixed: Changed the order of the input fields tab switching.
- GUI fixed: Corrected the layout to fix the screen as ITU was not properly shown.
- GUI improved: Added a new one color to differ a completely new one spot in the DX-cluster from a needed in a band.
  This last improvement is specially usefull in the search QSO to QSL. Test it!
- GUI improved: Added a tab in the botton box with the DXCC status (only main HF bands).
- New feature: Added the possibility to choose to show or not DX Spots based on CW/SSB activity. (TNX EA7BJ)
- New feature: Added the support of the 0.136KHz and GHz bands (not to the GUI but KLog can process them).
- BUG fixed: Minor check on QSL sent date was not properly done (no data lost).
- BUG fixed: Some Entities & zones where not properly recognized.
- BUG fixed: The state (needed/worked/confirmed) was not always properly shown.
- Improved the way is readed the cty.dat file and added support for its new format.
- Improved the ADIF compatibility supported fields, band frecuencies, modes...
- Improved the QSO merging with previous data.
- Updated translations: English, Spanish, TNX: Swedish (SM4ABE), German (DL5PD).

May 2008 - 0.4.4
- BUG fixed: KLog now recognises a "/LH" LightHouse stations (TNX G3OAG)
- BUG fixed: TLF import did not show the imported QSO in the log. QSO were not lost, just not shown. They were added to the logfile and saved when saving. No data was lost. This bug was introduced in release 0.4.2 after an optimization in the logfile reading.
BUG: Frequency was not compliance with ADIF as was saved in KHz instead of MHz.
- BUG fixed: If a logfile does not provide a MY_GRIDSQUARE, KLog does not add the predefined MY_GRIDSQUARE.
- BUG fixed: Some GRIDSQUARES were not detected as wrong althought they were.
- Minor fix: Corrected the URL to CTY.DAT file in the start message.
- GUI improved: Added a progress dialog when saving.
- GUI changes: Some widgets have been changed to prepare for the Qt4 migration. Specially the Led near the QRZ box that will reapear as usual when KLog is migrated to Qt4.
- Added the 70Mhz band.
- New feature: New tool added "Merge QSO data" that looks in all the log for the QSO that has been worked more than once and merges the data like Name, QSL info, QTH, Locator, ...
The information comming from all the appearances of a call in the log is grouped in the first appearance of that call in the log.

Jan 2008 - 0.4.3.1
- Package fix: Distributed with the language (po) files.

Jan 2008 - 0.4.3
- BUG fixed: KLog copied the QSL sent date into the QSL rec date. Only QSL rec date was lost but not the QSL status.
- BUG fixed: KLog now recognises a "/J" (Jamboree On The Air) Scout Station.
- GUI improved: Added the cty.dat URL.


Sep 2007 - 0.4.2

- New feature: The user can now configure to require or not the mandatory data for each QSO (QRZ, date, time, band, mode, RST tx & RST rx. (if not all the mandatory fields are entered, KLog's behaviour may be unexpected).
- New feature: Klog creates a temp file (~.klog/tempklog.adi) where it saves automatically all the QSOs entered until the log is manually saved. It prevents the log to be lost in case of unprevented KLog/computer failure. (TNX SM5OUU)
- BUG fixed: If the field (maybe any other field too) COMMENT is more than one line long, the log is broken and cannot be read. (TNX SM5OUU)
- BUG fixed: KLog does not ask for the file name if you have previously opened one file and the name has not changed.
- BUG fixed: In the GUI, the "Preferences" is correctly shown and not as "&Preferences".
- BUG fixed: When modifying a QSO, the number of QSOs was incremented when the user click over OK.
- BUG fixed: If a QSO was deleted the awards/number of QSO where not decresed.
- BUG fixed: When the date
- GUI improved: Deleted the WAE box (the WAE calculations was not implemented).
- New translation: KLog is now also in Swedish.(TNX SM4BE)
- New translation: KLog is now also in Galician.(TNX Fuco Mera)
- Updated German translation.(TNX DL5PD)
- Updated Spanish translation.

Dic 2006 - 0.4.1
- Bug fixed: The distance and beam is also resetted when the call box is deleted.
- Bug fixed: Calls /M and /MM do not count for DXCC.(TNX SM5CNQ)
- Bug fixed: It is possible to filter only for needed entities spots.
- Change: The hamlib signal meter has been removed from the GUI.
- New feature: There is a new tool available to find QSO from which the QSL is needed that you have still not sent the QSL. Very useful to find which QSL you need to send first!
- New feature: The MY_GRIDSQUARE is managed by default by all QSO (saves the default if none is entered)


Sep 2006 - 0.4.0
- New feature: It is possible to manage user-created local awards (TPEA, DOK, WAS, ...) KLog reads user defined awards in a special format.
- New feature: KLog reads ".adif" files also.(TNX DL5PD)
- New feature: It is possible to add/delete new DXServer clusters in the setup box.(TNX DL5PD)
- GUI Improved: IOTA continent is now "automagically" detected.
- Bug fixed: Not really a bug but now, the log is cleaner as it does not save the "STATE" for ALL the QSO, only does it if needed.
- Bug fixed: After modifying a QSO the band and mode did not return to the last used (TNX DL5PD).
- Bug fixed: If the band changed, without any call in the Call box, KLog showed "new one, work it"
- Bug fixed: If the band changed, when modifying KLog fooled the entity color band boxes.
- Bug fixed: KLog recognises /MM as maritime mobile station
- Bug fixed: When opening a new log, the number of QSO did not start from zero.
- New translation: KLog is now also in German.(TNX DL5PD)


Jan 2006 - 0.3.3
- New feature: It is now possible to sort the log by numbers from the main log.
- New feature: The frequency box is now also used when no hamlib support is active (double clicking over a
  dx-cluster spot.
- New feature: If file name does not end in .adi, add the .adi.
- Bug fixed: Reporting a bug does not crash KLog although the widget has been temporally/drastically simplified.
- Bug fixed: It is possible to select the radio from the setup.
- Bug fixed: (introduced in 0.3.2) It was not possible to activate the progress dialog.
- Bug fixed: When clicking over "New File", confirmed entities was not set to "zero".
- Bug fixed: When reading from cty.dat file, the prefix was reading with some spaces at the begining.
- GUI Improved: After pressing OK/clear button, the QRZ box is selected. (TNX P.H. Rankin Hansen)
- GUI Improved: You can now reach to Name&QTH using the tab key (TNX P.H. Rankin Hansen)
- GUI Improved: QTH/Locator is now on the main QSO tab (TNX P.H. Rankin Hansen)

Apr 2005 - 0.3.2
- New feature-(unstable): Hamlib support to control/read the rig from KLog.
- New feature-(unstable): It is possible to click over a DX-Spot and set the radio to that frecuency & mode to work the spot (hamlib).
- New feature-(unstable): KLog reads the frecuency, band, mode and signal from the radio in real time (hamlib).
- New feature: After QSLing using the Right Button option from the search box, the search box is updated so the QSL status is shown updated.
- New feature: Local operator callsign can now be also logged.
- Bug fixed: A call ending in /B is now correctly recognised as a beacon.
- Bug fixed: Now it recognise all the "special suffix" like /r Rotuma, /a Mount Athos,...
- Bug fixed: WARC Bands were not correctly detected.
- GUI improved: The QRZ box always shows the QRZ as uppercase. (TNX ea4eej)
- Bug fixed: KLog can now read ADIF files where the QSO can be in several lines.
- Bug fixed: Importing from tlf, the QSO count was not properly done because of the comment lines.

Jan 2005 - 0.3.1
- KLog has been optimized and now runs faster.
- New feature: KLog saves the date/time of the last log file save.
- New feature: KLog ask the user for a comment when Importing a TLF log (for example
  to note that those QSO are from an specific contest or whatever).
- Bug fixed: When selecting a DX-Spot from the DX-Cluster it did not overwrote the name.
- Bug fixed: When writting the log, there was an space missing before the <EOR>.
  It is just a "cosmetic" fix, not a real bug.
- Bug fixed: The same with the QSL card status.
- Bug fixed: KLog now recognises all the prefix that appears in cty.dat file with
  special CQ/ITU zones.
- Bug fixed: KLog recognises the special call "3XDQC/P" as "3X" although it does not
  follow the "prefix+number+suffix" pattern
- Bug fixed: When starting it now looks the cty.dat file in: ~/.klog and in the current
  directory before starting without Entities' data. (TNX oh7jjt)
- Bug fixed: If we are modifying a QSO, the search box is not updated. Avoids some
  crashes.

Nov 2004 - 0.3.0
- Fixed source code to allow compiling in more architectures.
- New feature: It is possible to show a progress dialog when opening the log file.
  This is configurable.
- New feature: It is now possible to hide/show WARC spots or announces from cluster.
- New feature: Printing the is now possible.
- New feature: Sorting the log file is now possible.
- New feature: New option in right button to send&rec QSL at once.
- New feature: If a CALL has been previously worked it shows data to the actual QSO.
- Fixed bug: When modifying, the QTH was not modified.
- Fixed bug: It did not make you save if you just modify a QSO.
- Improved the gui: The "T" (from RST) does not disappears but is disabled when is
  not needed. (TNX Ferm�n H.).
- Improved the gui: The QSL info text box is always active.
- Improved the gui: When connecting to the DX-Cluster server, automatically sets
  the DXCluster window as active.

May 2004 - 0.2.9
- New feature: Selection of a DX-Spot shows the Entity data and state.
- New feature: KLog checks and captures the output of a sh/dx command in cluster.
- Fixed bug(caused in 0.2.8): QRZs as KA3AA, when the prefix is just one letter but the call uses two are now well recognised.
- Fixed bug: Better recognision from /number calls from DX-Cluster.

Mar 2004 - 0.2.8
- Fixed bug: Now ignores comments in TLF's files.
- Fixed bug: QRZs as VP2MCV, with complex prefixes are now well recognised.
- Improved the gui: RST, Power size adjusted. (TNX ea1ddn)
- Improved the gui: Name and QTH moved to QSO tab.
- Improved the gui: QSL via bureau is now the default option. (TNX ea1ddn)
- New feature: Calculate distance and beam if locator is entered. (TNX ea1ddn)
- New feature: Auto-open logfile when starting is now possible. (TNX ke6sls & ea1ddn)
- New feature: Now it is possible to double-click over a DXCluster spot to copy it to the QSO input box. (TNX ea1ddn)
- New feature: In the search box, QSOs are colored indicating if worked, needed, ...

Jan 2004 - 0.2.7
- Fixed bug: When editing a QSO, the QSL date was not properly displayed.
- Fixed bug: When entering a QSO, if the band is changed, KLog checks the state in this new band.
- Fixed bug: RST (tx&rx) in ADIF was always length 3, now is calculated for every QSO (at writing).
- Fixed bug: When modifying if QSL rec, the date was shown as 00/00/0000
- New feature: It is posible to select a default mode & band in the setup.
- First Icon draft created.

Dec 2003 - 0.2.6
- Fixed bug: When Non real time logging was setting the time was "real time" when modifying. (TNX rz3dfs)
- Fixed bug: When reading the log file if an entity was not recognised Klog used to crash.
- Fixed bug: Now we recognise calls like 3XY1L when reading from a log file.
- Fixed bug: Improved the way of checking the confirmed/worked entities.
- Fixed bug: /P, /M and /QRZ are now better recognised when reading from logfile or clicked.
- Fixed bug: Stats were not shown after importing a tlf log file.
- Fixed bug: The zone & entity numbering fixed.
- New feature: It is posible to setup a default power level.
- New feature: When receiving a qsl with the mouse's right button the numbers are updated.
- New feature: Also a default color is selectionable as non-info color.
- Improved the gui: Band info leds removed to gain space in the info widget.

Aug 2003 - 0.2.5
- Fixed bug: RST was changed so when entering SSB RST. Entering 590 -> showed 509. (TNX ke6sls)
- Fixed bug: In cluster some frecs (432MHz and 2190m) were not properly recognized.
- New feature: It is now possible to hide HF/VHF/ANN spots or announces from cluster.
- New feature: It ask for the file name when saving first time instead of using "klog.adi" as default. (TNX ke6sls)
- New feature: It is now possible to add QSO in non real time (to add previous QSOs). (TNX yu1is)
- New feature: Power value is remembered from previous QSO. (TNX ke6sls)
- New feature: Basic bug report system. (TNX ke6sls)
- New feature: Mode selection affects to the RST configuration (TNX yu1is & ke6sls)
- New feature: Colors for confirmed/worked/needed are configurable by the user.
- New feature: Added tips to many widgets to explain their functions.

Jul 2003 - 0.2.4
- Fixed bug: Some calls were not recognized when checked (as 3da0sv).
- Fixed bug: When opening a second log having a previous one KLog did not ask for saving if needed.
- New feature: Basic Setup dialog and functions.
- New feature: Now the band combo change checks automatically the entity state.
- New feature: Smart cluster tells you if a dx spot is needed, worked and/or confirmed using colors.
- New feature: Clock is now in UTC by default but can be changed in preferences.

Jul 2003 - 0.2.3
- Improved the gui: The "entity state" LED has been moved to a always seen zone.
- Improved the gui: The way to edit QSO.
- Fixed bug: When searching it showed a wrong name and a qth.
- New feature: Basic DX-Cluster support.
- New feature: It is possible to add a log file to the current log.
- New feature: QSO deletion.
- New feature: QSO selection's data is shown in the show box.
- New feature: You can delete qso & manage qsl from the list with righ button quickly & easily.

Jun 2003 - 0.2.2
- Changed the behavior of the search box to look not only for complete calls but characters.
- Fixed bug: Improved the GUI layout.
- Fixed bug: When editing a previous QSO the date was not always properly saved.
- New feature: Added real time clock.

Mar 2003 - 0.2.0
- New feature: Added search for QSO tab.
- New feature: Added Name field.
- New feature: Added QTH field.
- New feature: Added operator (self call) field.
- Fixed bug: When saving log to file comment is not saved if there is no comment.
- Fixed bug: When selecting a "portable" (/P) (or /number) qso in the list it didn't recognize the entity.
- Translation updated: pt_BR.

Mar 2003 - 0.1-beta02
- Added many modes and some more bands.
- New feature: Asking for saving when finishing without save.
- New feature: Asking if overwrite when saving as to an existing file.
- New feature: The main led only shows info about the current band.
- New feature: Band/Mode sticky between contacts.
- New feature: Added the long path beam and distance.
- New feature: You can track each entity state per band with leds.
- New feature: Basic WAZ award support.
- Fixed bug: If you had a log and started a new one, the DXCC kept the data.
- Fixed bug: The IOTA number was limited to 99 (now 999).

Feb 2003 - 0.1-beta
- New feature: Led is green (new one), yellow (worked but not confirmed), red (confirmed).
- New feature: Support calls as EA4TV/EA8, EA8/EA4TV.
- New feature: Import TLF logs.
- New feature: Added beam and distance calculations.
- New feature: Added Locator & IOTA fields.
- New feature: Basic DXCC award support.
- Improved the search the Entity algorithm (much quick).
- Clear button shows "Cancel" when modifying.
- Changed many classes from Qt classes to KDE classes.
- Fixed bug: Some times the QSL was checked automaticaly.
- Fixed bug: The Mode combobox showed SBB and it is SSB.
- Fixed bug: some calls showed as worked before and they were not.

Jan 2003 - 0.1-alpha
- Fixed bug: When modifying a QSO it was not shown in the log box.
- Fixed bug: If you clicked over the log box but not over a qso, the program crashed
- Fixed bug: When modifying a QSO the date was always set to "now".
- Now you can select what log file you want to open.
- Now you can select the file's name when saving the log.
- Now you can create a new log always you want.
- Logs are now stored in ~/.klog directory by default.
- Logs are saved as klog.adi by default.
- Some prefix were not found in previous version.
- QSL date is activated when a QSO is selected
- QSL via is working, manager field, and QSL info field

22-Jan-2003 - 0.1-pre-alpha
- First "release" of the software.
- You can add/edit QSOs and save/read your log to/from the disk with a fixed name in ADIF format.
- Can manage QSL sent/rec.
